import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { style } from "@vanilla-extract/css";
import { colorModeStyle } from "../../css/colorModeStyle.mjs";
setFileScope("src/lib/components/Pagination/Pagination.css.ts", "braid-design-system");
const hover = style({}, "hover");
const lightModeCurrentKeyline = style(colorModeStyle({
  lightMode: {
    opacity: 0.3
  }
}), "lightModeCurrentKeyline");
const darkModeCurrentKeyline = style(colorModeStyle({
  darkMode: {
    opacity: 0.3
  }
}), "darkModeCurrentKeyline");
const current = style({
  opacity: 0.075
}, "current");
const background = style({
  selectors: {
    [`${hover}:hover &:not(${current})`]: {
      opacity: 0.5
    }
  }
}, "background");
endFileScope();
export {
  background,
  current,
  darkModeCurrentKeyline,
  hover,
  lightModeCurrentKeyline
};
