"use strict";
const clsx = require("clsx");
const styles_lib_utils_resolveResponsiveProp_cjs = require("../../utils/resolveResponsiveProp.cjs");
const styles_lib_css_negativeMargin_negativeMargin_css_cjs = require("./negativeMargin.css.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const clsx__default = /* @__PURE__ */ _interopDefaultCompat(clsx);
const directionStyles = {
  top: styles_lib_css_negativeMargin_negativeMargin_css_cjs.top,
  right: styles_lib_css_negativeMargin_negativeMargin_css_cjs.right,
  bottom: styles_lib_css_negativeMargin_negativeMargin_css_cjs.bottom,
  left: styles_lib_css_negativeMargin_negativeMargin_css_cjs.left
};
const negativeMargin = (direction, space) => space ? clsx__default.default([
  direction === "top" || direction === "bottom" ? styles_lib_css_negativeMargin_negativeMargin_css_cjs.preventCollapsePseudo[direction] : void 0,
  styles_lib_utils_resolveResponsiveProp_cjs.resolveResponsiveProp(
    space,
    directionStyles[direction].mobile,
    directionStyles[direction].tablet,
    directionStyles[direction].desktop,
    directionStyles[direction].wide
  )
]) : null;
exports.negativeMargin = negativeMargin;
