"use strict";
const jsxRuntime = require("react/jsx-runtime");
const styles_lib_components_Box_BackgroundContext_cjs = require("../Box/BackgroundContext.cjs");
const styles_lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const styles_lib_components_Divider_Divider_css_cjs = require("./Divider.css.cjs");
const Divider = ({ weight = "regular" }) => {
  const lightness = styles_lib_components_Box_BackgroundContext_cjs.useBackgroundLightness();
  return /* @__PURE__ */ jsxRuntime.jsx(styles_lib_components_Box_Box_cjs.Box, { component: "span", display: "block", position: "relative", children: /* @__PURE__ */ jsxRuntime.jsx(
    styles_lib_components_Box_Box_cjs.Box,
    {
      component: "span",
      position: "absolute",
      width: "full",
      className: [
        styles_lib_components_Divider_Divider_css_cjs.base,
        weight === "strong" ? styles_lib_components_Divider_Divider_css_cjs.strong : styles_lib_components_Divider_Divider_css_cjs.regular,
        styles_lib_components_Divider_Divider_css_cjs.lightModeWeight[lightness.lightMode],
        styles_lib_components_Divider_Divider_css_cjs.darkModeWeight[lightness.darkMode]
      ]
    }
  ) });
};
exports.Divider = Divider;
